# vim: set fileencoding=utf-8 :

from tel.models import *
from django.contrib import admin

class ServiceTelFilterAdmin(admin.ModelAdmin):
	fieldsets = (
		('Основные параметры', {'fields': ('title','tariff', 'filter_group', 'priority', 'store_stat')}),
		('Специфические параметры', {'fields': ('src_number', 'dst_number', 'src_trunk', 'dst_trunk', 'in_call', 'second_in_payment', 'second_out_payment')}),
	)
	list_display = ('tariff', 'priority', 'store_stat', 'src_number', 'dst_number', 'src_trunk', 'dst_trunk')
	ordering = ['tariff']
	search_fields = ('tariff',)
	list_filter = ('tariff',)

class ServiceTelStatAdmin(admin.ModelAdmin):
	list_display = ('client', 'date_time', 'cost', 'pbx', 'src_number', 'dst_number', 'src_trunk', 'dst_trunk', 'in_call', 'duration')
	list_filter = ('date_time',)
	ordering = ['-date_time']
	search_fields = ('date_time', 'client')

class ServiceTelUparamAdmin(admin.ModelAdmin):
	list_display = ('client', 'access_type', 'tel_number')
	ordering = ['client']
	search_fields = ('tel_number', 'client')

admin.site.register(ServiceTelFilter, ServiceTelFilterAdmin)
admin.site.register(ServiceTelStat, ServiceTelStatAdmin)
admin.site.register(ServiceTelUparam, ServiceTelUparamAdmin)
admin.site.register(ServiceTelStatAggregate)
