# vim: set fileencoding=utf-8 :

from django.db import models
from katrin.models import *
from django.utils.translation import ugettext_lazy as _

from katrin import service

class ServiceTelFilter(service.ServiceFilter):
	src_number = models.CharField(max_length=60, null=True, blank=True)
	dst_number = models.CharField(max_length=60, null=True, blank=True)
	src_trunk = models.CharField(max_length=45, null=True, blank=True)
	dst_trunk = models.CharField(max_length=45, null=True, blank=True)
	in_call = models.IntegerField(default=0)
	second_in_payment = models.DecimalField(max_digits=5, decimal_places=2)
	second_out_payment = models.DecimalField(max_digits=5, decimal_places=2)
	class Meta:
		db_table = u'service_tel_filters'
		verbose_name = 'фильтр телефонии'
		verbose_name_plural = 'Фильтры телефонии'
	def __unicode__(self):
			return "%s-%s" % (self.tariff, self.priority)

IN_CALL = ( 
	(1, 'Входящий'),
	(2, 'Исходящий'),
	(0, 'None'), 
)


class ServiceTelStat(service.ServiceStat):
	filter = models.ForeignKey(ServiceTelFilter, verbose_name=_('Filter'))
	pbx = models.CharField('АТС', max_length=20)
	src_number = models.CharField('SRC номер', max_length=60)
	dst_number = models.CharField('DST номер', max_length=60)
	src_trunk = models.CharField('SRC поток', max_length=45)
	dst_trunk = models.CharField('DST поток', max_length=45)
	in_call = models.IntegerField('Направление', choices=IN_CALL)
	duration = models.IntegerField('Продолжительность')
	class Meta:
		db_table = u'service_tel_stats'
		verbose_name = 'статистика телефонии'
		verbose_name_plural = 'Статистика телефонии'


ACCESS_TYPES = (
	('sip', u'SIP'),
)
class ServiceTelUparam(service.ServiceUparam):
	access_type = models.CharField(max_length=45, default='sip', choices=ACCESS_TYPES)
	tel_number = models.CharField('Телефонный номер', max_length=60)
	class Meta:
		db_table = u'service_tel_uparams'
		verbose_name = 'параметры телефонии'
		verbose_name_plural = 'Параметры телефонии'


#	Model for show link in main page of admin panel
class ServiceTelStatAggregate(models.Model):
	id = models.AutoField(primary_key=True)
	class Meta:
		db_table = u'not_table'
		verbose_name_plural = 'Статистика телефонии (аггрегированная)'

